/
Get credit agency by ID
Security
oauth2(Required scopes: credit.agency:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/companies/{companyId}/credit-agencies/{creditAgencyId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "agencyName": "experian", "companyId": "string", "country": "st", "dataFormat": "metro2", "encryptionMethod": "GPG", "fileNamePrefix": "string", "isPeachAggregator": false, "nameFilePerAgencyConvention": true, "publicKey": "string", "sftpAccessMethod": "usernamePassword", "sftpCdDir": "string", "sftpHostname": "string", "sftpPassword": "string", "sftpSSHPeachPrivateKey": "string", "sftpSSHPeachPublicKey": "string", "sftpUsername": "string", "specificDays": [ … ], "uploadFrequency": "monthly", "useLoanExternalId": true } }